Update ContainerSchema
Update ContainerSchema.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
container_schema_id
ID of the ContainerSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
archiveReason
archived
description
Updated description. When provided, must be at most 1000 characters.
name
Updated user-facing name. When provided, must be non-empty after stripping whitespace, at most 255 characters, and unique within the organization.
prefix
The prefix used for auto-generating barcodes for inventory items of this schema. Must be unique within the registry and cannot end in a digit.
systemName
Updated SQL identifier for the warehouse table name. When provided, must match the pattern [a-z_][a-z0-9_$]*, cannot be a reserved table name, cannot start with ‘bnch$’, and must be unique within the organization.
displayNameDeprecated
Deprecated. Use name instead.
Response
OK
__typename
archiveReason
archived
createdAt
description
A description of the schema.
fieldDefinitions
id
modifiedAt
DateTime the Container Schema was last modified
name
prefix
registry
systemName
A unique, stable identifier for this schema used for programmatic access and integrations.
type
Errors
400
Container Schema Update Request Bad Request Error
403
Container Schema Update Request Forbidden Error
404
Container Schema Update Request Not Found Error
409
Container Schema Update Request Conflict Error
429
Container Schema Update Request Too Many Requests Error
500
Container Schema Update Request Internal Server Error